Skip to main content
PATCH
/
wallets
/
{lago_id}
/
metadata
Merge wallet metadata
curl --request PATCH \
  --url https://core.nozle.app/api/v1/wallets/{lago_id}/metadata \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "external_id": "ext-123",
    "synced_at": "2024-01-15",
    "source": null
  }
}
'
{
  "metadata": {
    "external_id": "ext-123",
    "synced_at": "2024-01-15",
    "source": null
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

lago_id
string<uuid>
required

Unique identifier assigned to the wallet within the Lago application.

Example:

"1a901a90-1a90-1a90-1a90-1a901a901a90"

Body

application/json
metadata
object | null
required

Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.

Example:
{
  "external_id": "ext-123",
  "synced_at": "2024-01-15",
  "source": null
}

Response

Wallet metadata merged

metadata
object | null
required

Custom metadata stored as key-value pairs. Keys are strings (max 100 characters), values can be strings (max 255 characters) or null.

Example:
{
  "external_id": "ext-123",
  "synced_at": "2024-01-15",
  "source": null
}